## org.h2.store.fs
Class FileChannelInputStream

    java.lang.Object
      java.io.InputStream
          org.h2.store.fs.FileChannelInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class FileChannelInputStream

extends java.io.InputStream

Allows to read from a file channel like an input stream.

Constructor Summary
`FileChannelInputStream(java.nio.channels.FileChannel channel)` Create a new file object input stream from the file channel.

Method Summary
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileChannelInputStream

    public FileChannelInputStream(java.nio.channels.FileChannel channel)

  Create a new file object input stream from the file channel.

  Parameters:
    `channel` - the file channel

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`